## org.eclipse.emf.ecore.resource
Interface Resource.Factory.Descriptor

Enclosing interface:
  Resource.Factory

    public static interface Resource.Factory.Descriptor

A descriptor used by a resource factory registry to defer factory creation.

The creation is deferred until the factory is `fetched` for the first time.

See Also:
  `Resource.Factory.Registry.getFactory(URI)`

Method Summary
`Resource.Factory` `createFactory()` Creates a factory and returns it.

Method Detail

### createFactory

    Resource.Factory createFactory()

  Creates a factory and returns it.

  An implementation may and usually does choose to create only one instance, which it returns for each call.

  Returns:
    a factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.